Bug 207964 - Need a 'man6x' section
Summary: Need a 'man6x' section
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 205796
TreeView+ depends on / blocked
 
Reported: 2006-09-25 16:00 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 07:39:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wart 2006-09-25 16:00:40 UTC
Description of problem:
Need a '6x' section for man pages

Version-Release number of selected component (if applicable):
man-pages-2.21-1.noarch

How reproducible:
Always

The bsd-games and xscreensaver-extras packages both contain a 'worms.6' man
page.  To prevent a file conflict when installing both packages, it would be
nice to put the xscreensaver-extras pages in a '6x' section instead section '6'.

See bugs #205796 for the xscreensaver-extras bug report discussing this.

Comment 1 Wart 2006-09-25 16:56:30 UTC
To be clear, I'm just asking that this package create and own a new
/usr/share/man/man6x directory.  

Comment 2 Ivana Varekova 2006-09-26 07:39:37 UTC
man package has man6x in section list:
MANSECT         1:1p:8:2:3:3p:4:5:6:7:9:0p:n:l:p:o:1x:2x:3x:4x:5x:6x:7x:8x
there will not be any problem with man pages in 6x section. 
man-pages package have no man page which belongs to 6x (6x should be used by
xorg packages), so there is no need to have /usr/share/man/man6x directory in
this package.

Comment 3 Wart 2006-09-26 15:28:52 UTC
You're right, man-pages isn't the right place to put this.  Ownership of
/usr/share/man/man6x should probably be done in the filesystem package instead.
 I'll refile this bug against the filesystem package.


Note You need to log in before you can comment on or make changes to this bug.